Subject: bug#2607: 23.0.90; `system-type' test in `shell-quote-wildcard-pattern'

From: Eli Zaretskii <[email-masked]>
Date: Tue, 10 Mar 2009 00:31:00 +0200

> From: "Drew Adams" <[email-masked]>
> Date: Sun, 8 Mar 2009 23:23:39 -0700
> Cc: 
> 
> The code of `shell-quote-wildcard-pattern' has this test:
> (memq system-type '(ms-dos windows-nt cygwin)).  Looking at that
> code, the inclusion of `cygwin' here seems suspect to me.
>  
> The Elisp manual says only that a `system-type' of `cygwin' means
> Emacs running on Cygwin ("type of operating system Emacs is operating
> on"). Dunno what that means, really, but I'm guessing that such a
> system would use a shell, such as `bash', that treats characters in
> file names similarly to how `bash' treats them for GNU/Linux or UNIX.

Cygwin is in the same list because Cygwin runs on Windows, and Windows
does not allow the `"' character in file names.  It's true that Cygwin
uses Bash as the shell, but no shell can fix what the underlying
filesystem does not support.